<?php if ( ! defined('APP_ABSPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| General Application Settings
|--------------------------------------------------------------------------
|
| Settings needed to run the application.
|
*/

/** URL to the application's root. Include the trailing slash */
define('APP_BASE_URL', 'http://example-site.com/simple_advert/');

/** This email will be used as the initial password, the login username and lost password will be sent to it */
define('APP_WEBMASTER_EMAIL', '');

/** When set to false, the application uses urls with query strings instead of the human friendly ones. Set
this to false if you keep getting 404 errors when you try to log in */
define('APP_HUMAN_FRIENDLY_URL', true);

/** The maximum number of characters in the HEADLINE part of a banner or textlink */
define('APP_LENGHT_OF_HEADLINE', 30);

/** The maximum number of characters in the each line description part of a banner or textlink */
define('APP_LENGHT_OF_DESCRIPTION_LINE', 40);

/** The extensions for the banners that can be uploaded */
define('APP_ALLOWED_FILE_EXTENSIONS', 'gif,jpg,jpeg,png,jpe,swf');

/** The symbol for the currency that will be used to purchase the ads */
define('APP_CURRENCY_SYMBOL', '$');

/** The code for the currency that will be used to purchase the adverts */
define('APP_CURRENCY_CODE', 'USD');

/** If you trust your customers you could aloow it such that their adverts become live immediatly after payment is confirmed by IPN */
define('APP_AUTO_APPROVE_ON_IPN', false);

/** Allow users to pay using paypal */
define('APP_USE_PAYPAL', true);

/** Allow users to pay using moneybookers */
define('APP_USE_MONEYBOOKERS', true);

/** Allow users to pay using bank deposits and transfers */
define('APP_USE_BANK_DEPOSIT_TRANSFER', true);

/** Set this to true only when you testing. When set to true no real transaction will go through. The user will be sent to the sandbox for the Paypal or Moneybookers */
define('APP_SANDBOX_PAYMENT', false);

/*
|--------------------------------------------------------------------------
| Database Settings
|--------------------------------------------------------------------------
|
| Settings needed to access your database.
|
*/

/** MySQL database name */
define('APP_DB_NAME', '');

/** MySQL database username */
define('APP_DB_USER', '');

/** MySQL database password */
define('APP_DB_PASSWORD', '');

/** MySQL hostname */
define('APP_DB_HOST', 'localhost');

/** MySQL hostname */
define('APP_TABLES_PREFIX', 'sa_');

/*
|--------------------------------------------------------------------------
| Paypal  Settings
|--------------------------------------------------------------------------
|
| Settings needed to manage payment through paypal and IPN.
|
*/

/** Your Paypal Email Address */
define('APP_PAYPAL_EMAIL_ADDRESS', '');

/*
|--------------------------------------------------------------------------
| Moneybookers  Settings
|--------------------------------------------------------------------------
|
| Settings needed to manage payment through moneybookers and IPN.
|
*/

/** Your Moneybookers Email Address */
define('APP_MONEYBOOKERS_EMAIL_ADDRESS', '');

/** Language to use on Moneybookers */
define('APP_MONEYBOOKERS_LANGUAGE', 'EN');

/** Your Moneybookers Merchants ID */
define('APP_MONEYBOOKERS_MERCHANT_ID', '');

/** Your Moneybookers Secret Word */
define('APP_MONEYBOOKERS_SECRET_WORD', '');

/*
|--------------------------------------------------------------------------
| Bank Deposit and Transfer  Settings
|--------------------------------------------------------------------------
|
| Settings needed to manage payment through bank depostis and transfers.
|
*/

/** Your Bank Details */
define('APP_BANK_DETAILS', 'Bank Name: A bank,
Bank Account Name: My Account,
Bank Account Number: 1234567,
Bank Branch: A branch name,
Other details: Details');