<?php
/**
 * @package		Simple Advert
 * @author		Robert Nduati
 */

//THIS WILL LATER BE USED TO ENSURE THAT SCRIPTS ARE NOT CALLED DIRECTLY
define( "APP_ABSPATH", dirname( __FILE__ ) ."/" );  
error_reporting(E_ALL ^ E_NOTICE);
session_start();
require 'application/tinyMvc.php';
$controller = new Controller();
$arguments = array();
if(APP_HUMAN_FRIENDLY_URL == true){
	if(isset($_GET['simple_ad_page'])){
		$requestURI = explode('/', $_GET['simple_ad_page']);
		$function = $requestURI[0];
		if(!method_exists($controller,$function)){
			echo '404: Page not found';
			exit();
		}
		if(count($requestURI) > 1){
			$arguments = array_slice($requestURI, 1);
		}
	}else{
		$function = 'index';
	}
} else {
	if(isset($_GET['function'])){
		$function = $_GET['function'];
		foreach ($_GET as $k => $v){
			if (substr($k,0,4) == "arg_"){
				$arg_index = intval(str_replace("arg_","",$k));
				$arguments[$arg_index] = $v;
			}
		}
		if(!method_exists($controller,$function)){
			echo '404: Page not found';
		exit();
		}	
	}else{
		$function = 'index';
	}			
}

call_user_func_array(array($controller,$function), $arguments);