<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Create Advert Slot - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
<script type="text/javascript">
function add_Plan(){
	var table = document.getElementById('id-form');
	var plan_number = document.getElementById('plans_no').value;
	var rowCount = table.rows.length;
	
	plan_number++;
	var row = table.insertRow(rowCount);
	var cell1 = row.insertCell(0);
	cell1.innerHTML = '<b>Price Plan ' + plan_number + '</b>';
	var cell2 = row.insertCell(1);
	cell2.innerHTML = '<select class="small_input_select" name="unit_' + plan_number +  '"><option value="days">Days</option><option value="impressions">Impressions</option><option value="clicks">Clicks</option></select>&nbsp;<input class="small_input" type="text" name="price_' + plan_number +  '" value="Price" onfocus="if (this.value == \'Price\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Price\';}">&nbsp;<input class="small_input" type="text" name="quantity_' + plan_number +  '" value="Quantity" onfocus="if (this.value == \'Quantity\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Quantity\';}">';
	
	document.getElementById('plans_no').value = plan_number;
	return true;
}

</script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_image_banner');?>">Create Image/Swf Banner</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_text_banner');?>">Create Text Banner</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_banners');?>">Edit/View Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_banner_slot');?>">Create Advert Slot</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_banner_slots');?>">Edit Advert Slots</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2>Create Advert Slot</h2>
			<p>Fill in this form to create an advert slot.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_create_banner_slot');?>" method="POST">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td valign="top"><b>Banner Type:</b></td>
							<td><select class="input" name="banner_type">
									<option value="">Select</option>
									<option <?php echo (($_POST['role'] =='image/text') ? 'selected="selected"' : '');?> value="image/text">Single Image/Swf/Text</option>
									<option <?php echo (($_POST['role'] =='multi_text') ? 'selected="selected"' : '');?> value="multi_text">Multiple Text</option>
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><input class="input" type="text" name="name" id="name" value="<?php echo ((isset($_POST['name'])) ? $_POST['name'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Description:</b></td>
							<td><textarea name="description" class="txarea"><?php echo ((isset($_POST['description'])) ? $_POST['description'] : '');?></textarea></td>
						</tr>
						<tr>
							<td valign="top"><b>Width(px):</b></td>
							<td><input class="input" type="text" name="width" id="width" value="<?php echo ((isset($_POST['width'])) ? $_POST['width'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Height(px):</b></td>
							<td><input class="input" type="text" name="height" id="height" value="<?php echo ((isset($_POST['height'])) ? $_POST['height'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Maximum Number of Adverts:</b></td>
							<td><input class="input" type="text" name="no_of_ads" id="no_of_ads" value="<?php echo ((isset($_POST['no_of_ads'])) ? $_POST['no_of_ads'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><a href="#" onClick="add_Plan();">Add a Price Plan</a></td>
							<td><input type="hidden" value="<?php echo ((isset($_POST['plans_no'])) ? $_POST['plans_no'] : 0);?>" id="plans_no" name="plans_no"></td>
						</tr>
						<?php if($_POST['plans_no'] > 0){?>
						<?php for($i = 1; $i <= $_POST['plans_no']; $i++){?>
						<tr>
							<td valign="top"><b>Price Plan <?php echo $i;?></b></td>
							<td>
								<select class="small_input_select" name="unit_<?php echo $i;?>">
									<option value="days">Days</option>
									<option value="impressions">Impressions</option>
									<option value="clicks">Clicks</option>
								</select>&nbsp;
								<input class="small_input" type="text" name="price_<?php echo $i;?>" value="<?php echo (($_POST['price_' . $i] != 'Price') ? $_POST['price_' . $i] : 'Price');?>" onfocus="if (this.value == 'Price') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Price';}">&nbsp;
								<input class="small_input" type="text" name="quantity_<?php echo $i;?>" value="<?php echo (($_POST['quantity_' . $i] != 'Quantity') ? $_POST['quantity_' . $i] : 'Quantity');?>" onfocus="if (this.value == 'Quantity') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Quantity';}">
							</td>
						</tr>
						<?php }?>
						<?php }?>
					</tbody>
				</table>
				<p><input name="create" id="submit" class="crtbtn_gr" value="Create Advert Slot..." type="submit"></p>
			</form>	
			<br/>	
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>