<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title><?php echo $slot['name'];?> - Edit Advert Slot - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
	<script src="<?php echo APP_BASE_URL;?>js/jquery.js" type="text/javascript"></script>
<script type="text/javascript">
function refresh(){
	$('#markup_area').empty();
	$('#markup_area').append('Loading...');
	var url = "<?php echo $this->libs->create_url('refresh_slot', array($slot['id']));?>";
	$.post(url, {}, function(simple_json){
		if(simple_json.status == 1){
			$('#markup_area').empty();
			$('#markup_area').append(simple_json.markup);
		}
	}, "json");
	return true;
}
</script>	
<script type="text/javascript">
function add_Plan(){
	var table = document.getElementById('id-form');
	var plan_number = document.getElementById('plans_no').value;
	var rowCount = table.rows.length;
	
	plan_number++;
	var row = table.insertRow(rowCount);
	var cell1 = row.insertCell(0);
	cell1.innerHTML = '<b>Price Plan ' + plan_number + '</b>';
	var cell2 = row.insertCell(1);
	cell2.innerHTML = '<select class="small_input_select" name="unit_' + plan_number +  '"><option value="days">Days</option><option value="impressions">Impressions</option><option value="clicks">Clicks</option></select>&nbsp;<input class="small_input" type="text" name="price_' + plan_number +  '" value="Price" onfocus="if (this.value == \'Price\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Price\';}">&nbsp;<input class="small_input" type="text" name="quantity_' + plan_number +  '" value="Quantity" onfocus="if (this.value == \'Quantity\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Quantity\';}">';
	
	document.getElementById('plans_no').value = plan_number;
	return true;
}

</script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_image_banner');?>">Create Image/Swf Banner</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_text_banner');?>">Create Text Banner</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_banners');?>">Edit/View Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_banner_slot');?>">Create Advert Slot</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_banner_slots');?>">Edit Advert Slots</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2><?php echo $slot['name'];?> - Edit Advert Slot</h2>
			<p>Use this form to edit the advert slot.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_edit_banner_slot', array($slot['id']));?>" method="POST">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<?php if(isset($_POST['banner_type'])){?>
						<tr>
							<td valign="top"><b>Banner Type:</b></td>
							<td><select class="input" name="banner_type">
									<option value="">Select</option>
									<option <?php echo (($_POST['banner_type'] =='image/text') ? 'selected="selected"' : '');?> value="image/text">Single Image/Text</option>
									<option <?php echo (($_POST['banner_type'] =='multi_text') ? 'selected="selected"' : '');?> value="multi_text">Multiple Text</option>
								</select>
							</td>
						</tr>
						<?php } else {?>
						<tr>
							<td valign="top"><b>Banner Type:</b></td>
							<td><select class="input" name="banner_type">
									<option value="">Select</option>
									<option <?php echo (($slot['banner_type'] =='image/text') ? 'selected="selected"' : '');?> value="image/text">Single Image/Swf/Text</option>
									<option <?php echo (($slot['banner_type'] =='multi_text') ? 'selected="selected"' : '');?> value="multi_text">Multiple Text</option>
								</select>
							</td>
						</tr>
						<?php }?>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><input class="input" type="text" name="name" id="name" value="<?php echo ((isset($_POST['name'])) ? $_POST['name'] : $slot['name']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Description:</b></td>
							<td><textarea name="description" class="txarea"><?php echo ((isset($_POST['description'])) ? $_POST['description'] : $slot['description']);?></textarea></td>
						</tr>
						<tr>
							<td valign="top"><b>Width(px):</b></td>
							<td><input class="input" type="text" name="width" id="width" value="<?php echo ((isset($_POST['width'])) ? $_POST['width'] : $slot['width']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Height(px):</b></td>
							<td><input class="input" type="text" name="height" id="height" value="<?php echo ((isset($_POST['height'])) ? $_POST['height'] : $slot['height']);?>"></td>
						</tr>
						<?php if(isset($_POST['no_of_ads'])){?>
						<tr>
							<td valign="top"><b>Maximum Number of Adverts:</b></td>
							<td><input class="input" type="text" name="no_of_ads" id="no_of_ads" value="<?php echo (($_POST['no_of_ads'] > 0) ? $_POST['no_of_ads'] : '');?>"></td>
						</tr>
						<?php } else {?>
						<tr>
							<td valign="top"><b>Maximum Number of Adverts:</b></td>
							<td><input class="input" type="text" name="no_of_ads" id="no_of_ads" value="<?php echo (($slot['numberofads'] > 0) ? $slot['numberofads'] : '');?>"></td>
						</tr>
						<?php }?>
						<?php if($prices){?>
						<?php for($i = 1; $i <= count($prices); $i++){?>
						<?php $array_index = $i - 1;?>
						<tr>
							<td valign="top"><b>Price Plan <?php echo $i;?></b></td>
							<td>
								<?php if(isset($_POST['saved_unit_' . $prices[$array_index]['id']])){?>
								<select class="small_input_select" name="saved_unit_<?php echo $prices[$array_index]['id'];?>">
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='days') ? 'selected="selected"' : '');?> value="days">Days</option>
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='impressions') ? 'selected="selected"' : '');?> value="impressions">Impressions</option>
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='clicks') ? 'selected="selected"' : '');?> value="clicks">Clicks</option>
								</select>&nbsp;						
								<?php } else {?>
								<select class="small_input_select" name="saved_unit_<?php echo $prices[$array_index]['id'];?>">
									<option <?php echo (($prices[$array_index]['unit'] =='days') ? 'selected="selected"' : '');?> value="days">Days</option>
									<option <?php echo (($prices[$array_index]['unit'] =='impressions') ? 'selected="selected"' : '');?> value="impressions">Impressions</option>
									<option <?php echo (($prices[$array_index]['unit'] =='clicks') ? 'selected="selected"' : '');?> value="clicks">Clicks</option>
								</select>&nbsp;
								<?php }?>
								<input class="small_input" type="text" name="saved_price_<?php echo $prices[$array_index]['id'];?>" value="<?php echo ((isset($_POST['saved_price_' . $prices[$array_index]['id']])) ? $_POST['saved_price_' . $prices[$array_index]['id']] : $prices[$array_index]['price']);?>" onfocus="if (this.value == 'Price') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Price';}">&nbsp;
								<input class="small_input" type="text" name="saved_quantity_<?php echo $prices[$array_index]['id'];?>" value="<?php echo ((isset($_POST['saved_quantity_' . $prices[$array_index]['id']])) ? $_POST['saved_quantity_' . $prices[$array_index]['id']] : $prices[$array_index]['quantity']);?>" onfocus="if (this.value == 'Quantity') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Quantity';}">
								&nbsp;<b>OR</b>&nbsp;<input type="checkbox" value="<?php echo $prices[$array_index]['id'];?>" name="delete_price_<?php echo $prices[$array_index]['id'];?>" <?php echo ((isset($_POST['delete_price_' . $prices[$array_index]['id']])) ? 'checked="checked"' : '');?>>&nbsp;Delete this Price Plan
							</td>
						</tr>
						<?php }?>
						<?php }?>
						<tr>
							<td valign="top"><a href="#" onClick="add_Plan();">Add a Price Plan</a></td>
							<td><input type="hidden" value="<?php echo ((isset($_POST['plans_no'])) ? $_POST['plans_no'] : count($prices));?>" id="plans_no" name="plans_no"></td>
						</tr>
						<?php if($new_price_plans > 0){?>
						<?php for($i = (1 +  count($prices)); $i <= $new_price_plans; $i++){?>
						<tr>
							<td valign="top"><b>Price Plan <?php echo $i;?></b></td>
							<td>
								<select class="small_input_select" name="unit_<?php echo $i;?>">
									<option value="days">Days</option>
									<option value="impressions">Impressions</option>
									<option value="clicks">Clicks</option>
								</select>&nbsp;
								<input class="small_input" type="text" name="price_<?php echo $i;?>" value="<?php echo (($_POST['price_' . $i] != 'Price') ? $_POST['price_' . $i] : 'Price');?>" onfocus="if (this.value == 'Price') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Price';}">&nbsp;
								<input class="small_input" type="text" name="quantity_<?php echo $i;?>" value="<?php echo (($_POST['quantity_' . $i] != 'Quantity') ? $_POST['quantity_' . $i] : 'Quantity');?>" onfocus="if (this.value == 'Quantity') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Quantity';}">
							</td>
						</tr>
						<?php }?>
						<?php }?>
					</tbody>
				</table>
				<p><input name="edit" id="submit" class="crtbtn_gr" value="Edit Banner Slot..." type="submit"> <input class="crtbtn_rd" type="submit" name="delete" value="Delete Banner Slot..."></p>
			</form>	
			<br/>

			<h2>Integrate to the page</h2>
			<p>Follow these 4 steps to add the scripts that will handle the form on your page. NOTE: Step 1,2 and 3 are similar for all the banner slots. So if you are integrating more than two banner slot to a page, you will do steps 1,2 and 3 once. You will then do step 4 for each.</p>
			<h3>1. CSS</h3>
			<p>Copy and then paste this markup to every page that will have the adverts</p>
			<textarea class="txarea_wide">&lt;link rel="stylesheet" media="screen" type="text/css" href="<?php echo APP_BASE_URL;?>css/adverts_css.css" /&gt;</textarea>
			<br/>
			<h3>2. Reference Jquery</h3>
			<p>Copy and paste this to your page head section if Jquery has NOT already been referenced on the page</p>
			<textarea class="txarea_wide">&lt;script type="text/javascript" src="<?php echo APP_BASE_URL;?>js/jquery.js"&gt;&lt;/script&gt;</textarea>
			<br/>
			<h3>3. Main javascript</h3>
			<p>Copy and paste this to your page head section after the Jquery</p>
<?php 
if(APP_HUMAN_FRIENDLY_URL == true){
?>
<textarea class="txarea_wide">&lt;script type="text/javascript"&gt;
$(document).ready(function(){  
//Start: Simple Advert
var simple_ad_count = 1;
var simple_ad_url = "<?php echo APP_BASE_URL;?>ajax/?";

$('div[rel=simple_advert]').each(function(){
 simple_ad_url = simple_ad_url + "simple_ad_" + simple_ad_count + "=" + $(this).attr('id') + "&";
 simple_ad_count++;
});
simple_ad_url = simple_ad_url + "simple_ad_count=" + simple_ad_count + "&callback=?";

$.getJSON(simple_ad_url,{}, function(simple_ad_json){
if(simple_ad_json.status == 1){
$.each(simple_ad_json.adverts,function(k,v){
if(v != 'none'){
$('#'+k).empty();
$('#'+k).append(v);
}
});
}
});
//End: Simple Advert	
});
&lt;/script&gt;</textarea>
<?php
}else {
?>
<textarea class="txarea_wide">&lt;script type="text/javascript"&gt;
$(document).ready(function(){  
//Start: Simple Advert
var simple_ad_count = 1;
var simple_ad_url = "<?php echo APP_BASE_URL;?>index.php?function=ajax&";

$('div[rel=simple_advert]').each(function(){
 simple_ad_url = simple_ad_url + "simple_ad_" + simple_ad_count + "=" + $(this).attr('id') + "&";
 simple_ad_count++;
});
simple_ad_url = simple_ad_url + "simple_ad_count=" + simple_ad_count + "&callback=?";

$.getJSON(simple_ad_url,{}, function(simple_ad_json){
if(simple_ad_json.status == 1){
$.each(simple_ad_json.adverts,function(k,v){
if(v != 'none'){
$('#'+k).empty();
$('#'+k).append(v);
}
});
}
});
//End: Simple Advert	
});
&lt;/script&gt;</textarea>
<?php
}
?>
			
			<br/>
			<h3>4. HTML Markup</h3>
			<p>Copy and paste this to your page where you want the advert space to be. NOTE: If you want to put more than one instance of this slot on a page click on "Refresh" before you copy and paste each time.</p>
			<p><a href="#nogo" onclick="refresh();">Refresh</a></p>
			<textarea id="markup_area" class="txarea_wide">&lt;!-- START: Simple Adverts : <?php echo $slot['name'];?> --&gt;
&lt;div rel="simple_advert" style="display:block;padding:0px;width:<?php echo $slot['width'];?>px; height:<?php echo $slot['height'];?>px;" id="sa_<?php echo $slot['id'];?>_<?php echo time();?>"&gt;
&lt;div class="simple_advert" style="width:100%; height:100%;"&gt;
<?php
$space_height = intval($slot['height']);
$padding = ($space_height/2) - 12;
$height = $space_height - $padding;
echo '<a title="Advertise Here" target="_blank" style="padding-top: '.$padding.'px;width:'.$slot['width'].'px;height:'.$height.'px;" href="' . $this->libs->create_url('buy_slot', array($slot['id'])) . '">Advertise Here</a>';
?>
&lt;/div&gt;
&lt;/div&gt;
&lt;!-- END: Simple Adverts : <?php echo $slot['name'];?> --&gt;</textarea>
			<br/>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>