<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Rejected Items - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
	<script src="<?php echo APP_BASE_URL;?>js/jquery.js" type="text/javascript"></script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_pending_rejected');?>">Rejected</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_pending_approved');?>">Auto Approved</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2>Rejected Items</h2>
			<p>Approve, or delete the item.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_view_pending_rejected', array($item['id']));?>" method="POST" enctype="multipart/form-data" >
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td><b>Nature:</b></td>
<?php if($item['type_of_pending'] == 'purchase'){?>
<td valign="top">New Purchase</td>
<?php } ?>
<?php if($item['type_of_pending'] == 'change'){?>
<td valign="top">Change to Advert</td>
<?php } ?>
<?php if($item['type_of_pending'] == 'extend'){?>
<td valign="top">Extension of Advert</td>
<?php } ?>
						</tr>
<?php if(!$item['advertiser_id']){?>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><?php echo $item['name'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Email:</b></td>
							<td><?php echo $item['email'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Company:</b></td>
							<td><?php echo $item['company'];?></td>
						</tr>
<?php } else {?>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><?php echo $advertiser_details['name'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Email:</b></td>
							<td><?php echo $advertiser_details['email'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Company:</b></td>
							<td><?php echo $advertiser_details['company'];?></td>
						</tr>
<?php }?>	
						<tr>
							<td valign="top"><b>Headline:</b></td>
							<td><?php echo $item['title'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Destination URL:</b></td>
							<td><?php echo $item['destination_url'];?></td>
						</tr>
<?php if($item['image']){?>
						<tr>
							<td valign="top"><b>Image</b></td>
							<td><a target="_blank" href="<?php echo APP_BASE_URL;?>images/adverts/<?php echo $item['image'];?>"><?php echo $item['image'];?></a></td>
						</tr>
<?php } else {?>
						<tr>
							<td valign="top"><b>Image</b></td>
							<td></td>
						</tr>
<?php }?>
						<tr>
							<td valign="top"><b>Display URL:</b></td>
							<td><?php echo $item['display_url'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Description Line 1:</b></td>
							<td><?php echo $item['details1'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Description Line 2:</b></td>
							<td><?php echo $item['details2'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Price:</b></td>
							<td><?php echo APP_CURRENCY_SYMBOL;?><?php echo $item_price['price'];?> per <?php echo $item_price['quantity'];?> <?php echo ucfirst($item_price['unit']);?></td>
						</tr>
						<tr>
							<td valign="top"><b>Quantity:</b></td>
							<td><?php echo $item['quantity'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Payment Option:</b></td>
							<td><?php echo $item['payment_option'];?></td>
						</tr>
						<tr>
							<td valign="top"><b>Payment Confirmed(IPN):</b></td>
							<td><?php echo (($item['confirmed'] == 'y') ? 'YES' : 'NO');?></td>
						</tr>
					</tbody>
				</table>
				<p><input name="approve" id="submit" class="crtbtn_gr" value="Approve" type="submit">  <input class="crtbtn_rd" type="submit" name="delete" value="Delete"></p>
			</form>	
			<br/>	
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>