<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Create Textlink - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
	<script src="<?php echo APP_BASE_URL;?>js/jquery.js" type="text/javascript"></script>
	
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/datepicker.css" type="text/css" />
	<script type="text/javascript" src="<?php echo APP_BASE_URL;?>js/datepicker.js"></script>
	<script language="javascript">
$(document).ready(function() {	
	$('#startdate').DatePicker({
		format:'d/m/Y',
		date: $('#startdate').val(),
		current: <?php echo "'" . date("d/m/Y") . "'";?>,
		starts: 1,
		position: 'bottom',
		onBeforeShow: function(){
			$('#startdate').DatePickerSetDate($('#startdate').val(), true);
		},
		onChange: function(formated, dates){
			$('#startdate').val(formated);
			$('#startdate').DatePickerHide();
		}
	});
	$('#enddate').DatePicker({
		format:'d/m/Y',
		date: $('#startdate').val(),
		current: $('#startdate').val(),
		starts: 1,
		position: 'bottom',
		onBeforeShow: function(){
			if($('#enddate').val() == ""){
				$('#enddate').DatePickerSetDate($('#startdate').val(), true);
			} else {
				$('#enddate').DatePickerSetDate($('#enddate').val(), true);
			}
		},
		onChange: function(formated, dates){
			$('#enddate').val(formated);
			$('#enddate').DatePickerHide();
		}
	});

});
	</script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink');?>">Create Textlink</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlinks');?>">Edit/View Textlinks</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink_category');?>">Create Textlink Category</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlink_categories');?>">Edit Textlink Categories</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2>Create Textlink</h2>
			<p>Fill in this form to create a textlink.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_create_textlink');?>" method="POST">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td valign="top"><b>Advertiser:</b></td>
							<td>
								<select class="input" name="advertiser">
									<option value=""> Select One (Optional) </option>
<?php 
if($advertisers){ 
foreach($advertisers as $advertiser){
	if($_POST['advertiser'] == $advertiser['id']){
		echo '<option selected="selected "value="'.$advertiser['id'].'">'.$advertiser['name'].'</option>
	';	
	} else {
	echo '<option value="'.$advertiser['id'].'">'.$advertiser['name'].'</option>
	';	
	}
	
}
}
?>
								
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top"><b>Textlink Category:</b></td>
							<td>
								<select class="input" name="slot">
									<option value=""> Select One </option>
<?php 
if($slots){ 
foreach($slots as $space){
	if($_POST['slot'] == $space['id']){
		echo '<option selected="selected "value="'.$space['id'].'">'.$space['name'].'</option>
	';	
	} else {
	echo '<option value="'.$space['id'].'">'.$space['name'].'</option>
	';	
	}
	
}
}
?>
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top"><b>Headline:</b></td>
							<td><input class="input" maxlength="<?php echo APP_LENGHT_OF_HEADLINE;?>" type="text" name="title" id="title" value="<?php echo ((isset($_POST['title'])) ? $_POST['title'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Destination URL:</b></td>
							<td><input class="input" type="text" name="destination_url" id="destination_url" value="<?php echo ((isset($_POST['destination_url'])) ? $_POST['destination_url'] : 'http://');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Display URL:</b></td>
							<td><input class="input" type="text" name="display_url" id="display_url" value="<?php echo ((isset($_POST['display_url'])) ? $_POST['display_url'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Start Date:</b></td>
							<td><input class="input" type="text" name="startdate" id="startdate" value="<?php echo ((isset($_POST['startdate'])) ? $_POST['startdate'] : date("d/m/Y"));?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>End Date:</b></td>
							<td><input class="input" type="text" name="enddate" id="enddate" value="<?php echo ((isset($_POST['enddate'])) ? $_POST['enddate'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Impressions Limit:</b></td>
							<td><input class="input" type="text" name="impressions" id="impressions" value="<?php echo ((isset($_POST['impressions'])) ? $_POST['impressions'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Click Limit:</b></td>
							<td><input class="input" type="text" name="clicks" id="clicks" value="<?php echo ((isset($_POST['clicks'])) ? $_POST['clicks'] : '');?>"></td>
						</tr>
					</tbody>
				</table>
				<p><input name="create" id="submit" class="crtbtn_gr" value="Create Textlink..." type="submit"></p>
			</form>	
			<br/>	
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>