<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title><?php echo $slot['name'];?> - Edit Textlink Category - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
<script type="text/javascript">
function add_Plan(){
	var table = document.getElementById('id-form');
	var plan_number = document.getElementById('plans_no').value;
	var rowCount = table.rows.length;
	
	plan_number++;
	var row = table.insertRow(rowCount);
	var cell1 = row.insertCell(0);
	cell1.innerHTML = '<b>Price Plan ' + plan_number + '</b>';
	var cell2 = row.insertCell(1);
	cell2.innerHTML = '<select class="small_input_select" name="unit_' + plan_number +  '"><option value="days">Days</option><option value="impressions">Impressions</option><option value="clicks">Clicks</option></select>&nbsp;<input class="small_input" type="text" name="price_' + plan_number +  '" value="Price" onfocus="if (this.value == \'Price\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Price\';}">&nbsp;<input class="small_input" type="text" name="quantity_' + plan_number +  '" value="Quantity" onfocus="if (this.value == \'Quantity\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'Quantity\';}">';
	
	document.getElementById('plans_no').value = plan_number;
	return true;
}

</script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink');?>">Create Textlink</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlinks');?>">Edit/View Textlinks</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink_category');?>">Create Textlink Category</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlink_categories');?>">Edit Textlink Categories</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2><?php echo $slot['name'];?> - Edit Textlink Category</h2>
			<p>Use this form to edit the textlink category.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_edit_textlink_category', array($slot['id']));?>" method="POST">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><input class="input" type="text" name="name" id="name" value="<?php echo ((isset($_POST['name'])) ? $_POST['name'] : $slot['name']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Description:</b></td>
							<td><textarea name="description" class="txarea"><?php echo ((isset($_POST['description'])) ? $_POST['description'] : $slot['description']);?></textarea></td>
						</tr>
						<?php if(isset($_POST['no_of_ads'])){?>
						<tr>
							<td valign="top"><b>Maximum Number of Adverts:</b></td>
							<td><input class="input" type="text" name="no_of_ads" id="no_of_ads" value="<?php echo (($_POST['no_of_ads'] > 0) ? $_POST['no_of_ads'] : '');?>"></td>
						</tr>
						<?php } else {?>
						<tr>
							<td valign="top"><b>Maximum Number of Adverts:</b></td>
							<td><input class="input" type="text" name="no_of_ads" id="no_of_ads" value="<?php echo (($slot['numberofads'] > 0) ? $slot['numberofads'] : '');?>"></td>
						</tr>
						<?php }?>
						<?php if($prices){?>
						<?php for($i = 1; $i <= count($prices); $i++){?>
						<?php $array_index = $i - 1;?>
						<tr>
							<td valign="top"><b>Price Plan <?php echo $i;?></b></td>
							<td>
								<?php if(isset($_POST['saved_unit_' . $prices[$array_index]['id']])){?>
								<select class="small_input_select" name="saved_unit_<?php echo $prices[$array_index]['id'];?>">
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='days') ? 'selected="selected"' : '');?> value="days">Days</option>
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='impressions') ? 'selected="selected"' : '');?> value="impressions">Impressions</option>
									<option <?php echo (($_POST['saved_unit_' . $prices[$array_index]['id']] =='clicks') ? 'selected="selected"' : '');?> value="clicks">Clicks</option>
								</select>&nbsp;						
								<?php } else {?>
								<select class="small_input_select" name="saved_unit_<?php echo $prices[$array_index]['id'];?>">
									<option <?php echo (($prices[$array_index]['unit'] =='days') ? 'selected="selected"' : '');?> value="days">Days</option>
									<option <?php echo (($prices[$array_index]['unit'] =='impressions') ? 'selected="selected"' : '');?> value="impressions">Impressions</option>
									<option <?php echo (($prices[$array_index]['unit'] =='clicks') ? 'selected="selected"' : '');?> value="clicks">Clicks</option>
								</select>&nbsp;
								<?php }?>
								<input class="small_input" type="text" name="saved_price_<?php echo $prices[$array_index]['id'];?>" value="<?php echo ((isset($_POST['saved_price_' . $prices[$array_index]['id']])) ? $_POST['saved_price_' . $prices[$array_index]['id']] : $prices[$array_index]['price']);?>" onfocus="if (this.value == 'Price') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Price';}">&nbsp;
								<input class="small_input" type="text" name="saved_quantity_<?php echo $prices[$array_index]['id'];?>" value="<?php echo ((isset($_POST['saved_quantity_' . $prices[$array_index]['id']])) ? $_POST['saved_quantity_' . $prices[$array_index]['id']] : $prices[$array_index]['quantity']);?>" onfocus="if (this.value == 'Quantity') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Quantity';}">
								&nbsp;<b>OR</b>&nbsp;<input type="checkbox" value="<?php echo $prices[$array_index]['id'];?>" name="delete_price_<?php echo $prices[$array_index]['id'];?>" <?php echo ((isset($_POST['delete_price_' . $prices[$array_index]['id']])) ? 'checked="checked"' : '');?>>&nbsp;Delete this Price Plan
							</td>
						</tr>
						<?php }?>
						<?php }?>
						<tr>
							<td valign="top"><a href="#" onClick="add_Plan();">Add a Price Plan</a></td>
							<td><input type="hidden" value="<?php echo ((isset($_POST['plans_no'])) ? $_POST['plans_no'] : count($prices));?>" id="plans_no" name="plans_no"></td>
						</tr>
						<?php if($new_price_plans > 0){?>
						<?php for($i = (1 +  count($prices)); $i <= $new_price_plans; $i++){?>
						<tr>
							<td valign="top"><b>Price Plan <?php echo $i;?></b></td>
							<td>
								<select class="small_input_select" name="unit_<?php echo $i;?>">
									<option value="days">Days</option>
									<option value="impressions">Impressions</option>
									<option value="clicks">Clicks</option>
								</select>&nbsp;
								<input class="small_input" type="text" name="price_<?php echo $i;?>" value="<?php echo (($_POST['price_' . $i] != 'Price') ? $_POST['price_' . $i] : 'Price');?>" onfocus="if (this.value == 'Price') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Price';}">&nbsp;
								<input class="small_input" type="text" name="quantity_<?php echo $i;?>" value="<?php echo (($_POST['quantity_' . $i] != 'Quantity') ? $_POST['quantity_' . $i] : 'Quantity');?>" onfocus="if (this.value == 'Quantity') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Quantity';}">
							</td>
						</tr>
						<?php }?>
						<?php }?>
					</tbody>
				</table>
				<p><input name="edit" id="submit" class="crtbtn_gr" value="Edit Textlink Category..." type="submit"> <input class="crtbtn_rd" type="submit" name="delete" value="Delete Textlink Category..."></p>
			</form>	
			<br/>

			<h2>Integrate to the page</h2>
			<p>Follow these 4 steps to add the scripts that will handle the form on your page. NOTE: Step 1,2 and 3 are similar for all the textlink categories. So if you are integrating more than two categories of textlinks to a page, you will do steps 1,2 and 3 once. You will then do step 4 for each.</p>
			<h3>1. Reference Jquery</h3>
			<p>Copy and paste this to your page head section if Jquery has NOT already been referenced on the page</p>
			<textarea class="txarea_wide">&lt;script type="text/javascript" src="<?php echo APP_BASE_URL;?>js/jquery.js"&gt;&lt;/script&gt;</textarea>
			<br/>
			<h3>2. Main javascript</h3>
			<p>Copy and paste this to your page head section after the Jquery</p>
<?php 
if(APP_HUMAN_FRIENDLY_URL == true){
?>
<textarea class="txarea_wide">&lt;script language="javascript"&gt;
$(document).ready(function() {	
var simple_textlink_url = "<?php echo APP_BASE_URL;?>statistics/";
$('a[rel=simple_textlink]').click(function()
{
simple_textlink_url = simple_textlink_url + $(this).attr('id') + "/";
$.post(simple_textlink_url);
return true;
});	
});
&lt;/script&gt;</textarea>
<?php
}else {
?>
<textarea class="txarea_wide">&lt;script language="javascript"&gt;
$(document).ready(function() {	
var simple_textlink_url = "<?php echo APP_BASE_URL;?>index.php?function=statistics";
$('a[rel=simple_textlink]').click(function()
{
simple_textlink_url = simple_textlink_url + "&" + "arg_0=" + $(this).attr('id');
$.post(simple_textlink_url);
return true;
});	
});
&lt;/script&gt;</textarea>
<?php
}
?>
			
			<br/>
			<h3>3. PHP Code</h3>
			<p>Copy and then paste this php code once to every page that will have the textlinks</p>
			<textarea class="txarea_wide">&lt;?php
include '../includes/db.php'; // change to the correct path for your setup
$sa_textlinks = new Simple_advert();
?&gt;</textarea>
			<br/>
			<h3>4. More PHP Code</h3>
			<p>Copy and then paste this php code to the place you want the textlinks to appear</p>
			<textarea class="txarea_wide">&lt;?php
echo $sa_textlinks->get_textlinks_as_list(<?php echo $slot['id'];?>, false);
?&gt;</textarea>
			<br/>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>