<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Edit/View Textlinks - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink');?>">Create Textlink</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlinks');?>">Edit/View Textlinks</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_textlink_category');?>">Create Textlink Category</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_textlink_categories');?>">Edit Textlink Categories</a></li>
		</ul>
	</div>
		
	<div id="contentnorightbar">
		<h2>Edit/View Textlinks</h2>
			<?php if($banners){?>
			<p>Select a textlink to edit it, or delete it.</p>
			<table cellspacing="0" cellpadding="5px;" id="change_list"  class="main">
				<tr class="table-top">
					<td class="for_main">Texlink Headline</td>
					<td class="for_main">Destination URL</td>
					<td class="for_main">Impressions</td>
					<td class="for_main">Clicks</td>
					<td class="for_main">Live?</td>
				</tr>
			<?php foreach($banners as $banner){?>		
				<tr>
					<td class="for_main"><a href="<?php echo $this->libs->create_url('admin_edit_textlink', array($banner['id']));?>"><?php echo $banner['title'];?></a></td>
					
					<td class="for_main"><?php echo $banner['destination_url'];?></td>
					
					<td class="for_main"><?php echo $banner['impressions'];?></td>
					<td class="for_main"><?php echo $banner['clicks'];?></td>
					
					<?php if($banner['is_live'] == true){?>
					<td class="for_main">Yes</td>
					<?php } else {?>
					<td class="for_main">No</td>
					<?php }?>
				</tr>
			<?php }?>
			</table>
				
			<table border="0" cellpadding="0" cellspacing="0" id="paging-table">
				<tr>
					<td>
					<?php if($page > 1){
							$last = $page - 1;
					?>
						<a href="<?php echo $this->libs->create_url('admin_list_textlinks', array(1));?>" class="page-far-left"></a>
						<a href="<?php echo $this->libs->create_url('admin_list_textlinks', array($last));?>" class="page-left"></a>
					<?php }?>
					<div id="page-info">Page <strong><?php echo $page;?></strong> / <?php echo $number_of_pages;?></div>
					<?php if($number_of_pages > $page){
							$next = $page + 1;
					?>
						<a href="<?php echo $this->libs->create_url('admin_list_textlinks', array($next));?>" class="page-right"></a>
						<a href="<?php echo $this->libs->create_url('admin_list_textlinks', array($number_of_pages));?>" class="page-far-right"></a>
					<?php }?>
					</td>
				</tr>
			</table>
				
			<?php } else {?>
			<p>There are no textlinks.</p>
			<?php }?>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>