<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Your Adverts - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/advertisers.css" type="text/css" media="screen,projection" />
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('advertiser_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('advertiser_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots');?>">Buy More</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_change_details');?>">Change Details</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_contact');?>">Contact Us</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
		</ul>
	</div>
		
	<div id="contentnorightbar">
		<h2>Your Adverts</h2>
			<?php if($banners){?>
			<p>Select an advert.</p>
			<table cellspacing="0" cellpadding="5px;" id="change_list"  class="main">
				<tr class="table-top">
					<td class="for_main">Headline</td>
					<td class="for_main">Type</td>
					<td class="for_main">Image</td>
					<td class="for_main">Imp</td>
					<td class="for_main">Clicks</td>
					<td class="for_main">Live?</td>
					<td class="for_main">Stats</td>
					<td class="for_main">Change</td>
				</tr>
			<?php foreach($banners as $banner){?>		
				<tr>
					<?php if(strlen($banner['title']) > 30){?>
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_contact', array($banner['id'], substr($banner['title'],0,30)));?>"><?php echo substr($banner['title'],0,30);?>...</a></td>
					<?php } else {?>
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_contact', array($banner['id']));?>"><?php echo $banner['title'];?></a></td>
					<?php }?>
					
					<?php if($banner['advert_type'] == 'textlink'){?>
					<td class="for_main">Textlink</td>
					<?php } else {?>
					<td class="for_main">Banner</td>
					<?php }?>
					
					<?php if($banner['image']){?>
					<td class="for_main"><a target="_blank" href="<?php echo APP_BASE_URL;?>images/adverts/<?php echo $banner['image'];?>">view</a></td>
					<?php } else {?>
					<td class="for_main"></td>
					<?php }?>
					
					
					
					<td class="for_main"><?php echo $banner['impressions'];?></td>
					<td class="for_main"><?php echo $banner['clicks'];?></td>
					
					<?php if($banner['is_live'] == true){?>
					<td class="for_main">Yes</td>
					<?php } else {?>
					<td class="for_main">No</td>
					<?php }?>
					
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_stats', array($banner['id']));?>">Stats</a></td>
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_change', array($banner['id']));?>">Change</a></td>
				</tr>
			<?php }?>
			</table>
				
			<table border="0" cellpadding="0" cellspacing="0" id="paging-table">
				<tr>
					<td>
					<?php if($page > 1){
							$last = $page - 1;
					?>
						<a href="<?php echo $this->libs->create_url('advertiser_home', array(1));?>" class="page-far-left"></a>
						<a href="<?php echo $this->libs->create_url('advertiser_home', array($last));?>" class="page-left"></a>
					<?php }?>
					<div id="page-info">Page <strong><?php echo $page;?></strong> / <?php echo $number_of_pages;?></div>
					<?php if($number_of_pages > $page){
							$next = $page + 1;
					?>
						<a href="<?php echo $this->libs->create_url('advertiser_home', array($next));?>" class="page-right"></a>
						<a href="<?php echo $this->libs->create_url('advertiser_home', array($number_of_pages));?>" class="page-far-right"></a>
					<?php }?>
					</td>
				</tr>
			</table>
				
			<?php } else {?>
			<p>You have no adverts.</p>
			<?php }?>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>