<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Advertising Spaces - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/advertisers.css" type="text/css" media="screen,projection" />
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('advertiser_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('advertiser_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots');?>">Buy More</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_change_details');?>">Change Details</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_contact');?>">Contact Us</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots');?>">Advertising Spaces</a></li>
		</ul>
	</div>
		
	<div id="contentnorightbar">
		<h2>Advertising Spaces</h2>
			<?php if($banner_slots){?>
			<p>Select to view or buy.</p>
			<table cellspacing="0" cellpadding="5px;" id="change_list"  class="main">
				<tr class="table-top">
					<td class="for_main">Name</td>
					<td class="for_main">Type</td>
					<td class="for_main">Dimensions</td>
					<td class="for_main">Price</td>
					<td class="for_main">Description</td>
					<td class="for_main">View/Buy</td>
				</tr>
			<?php foreach($banner_slots as $slot){?>		
				<tr>
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_buy_slot', array($slot['id']));?>"><?php echo $slot['name'];?></a></td>
					
					<?php if($slot['advert_type'] == 'textlink'){?>
					<td class="for_main">Textlink</td>
					<?php } else {?>
					<td class="for_main">Image/Text Banner</td>
					<?php }?>
					
					<?php if($slot['width']){?>
					<td class="for_main"><?php echo $slot['width'];?>PX by <?php echo $slot['height'];?>PX</td>
					<?php } else {?>
					<td class="for_main">n/a</td>
					<?php }?>
					
					<?php if($slot['prices']){?>
						<?php if(count($slot['prices']) > 1){?>
						<td class="for_main"> From <?php echo APP_CURRENCY_SYMBOL;?><?php echo $slot['prices'][0]['price'];?></td>
						<?php } else {?>
						<td class="for_main"><?php echo APP_CURRENCY_SYMBOL;?><?php echo $slot['prices'][0]['price'];?> for <?php echo $slot['prices'][0]['quantity'];?> <?php echo ucfirst($slot['prices'][0]['unit']);?></td>
						<?php }?>
					<?php } else {?>
					<td class="for_main"</td>
					<?php }?>
					
					<?php if(strlen($slot['description']) > 30){?>
					<td class="for_main"><?php echo substr($slot['description'],0,30);?>...</td>
					<?php } else {?>
					<td class="for_main"><?php echo $slot['description'];?></td>
					<?php }?>
					
					<td class="for_main"><a href="<?php echo $this->libs->create_url('advertiser_buy_slot', array($slot['id']));?>">View/Buy</a></td>
				</tr>
			<?php }?>
			</table>
				
			<table border="0" cellpadding="0" cellspacing="0" id="paging-table">
				<tr>
					<td>
					<?php if($page > 1){
							$last = $page - 1;
					?>
						<a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots', array(1));?>" class="page-far-left"></a>
						<a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots', array($last));?>" class="page-left"></a>
					<?php }?>
					<div id="page-info">Page <strong><?php echo $page;?></strong> / <?php echo $number_of_pages;?></div>
					<?php if($number_of_pages > $page){
							$next = $page + 1;
					?>
						<a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots', array($next));?>" class="page-right"></a>
						<a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots', array($number_of_pages));?>" class="page-far-right"></a>
					<?php }?>
					</td>
				</tr>
			</table>
				
			<?php } else {?>
			<p>There are available advertising slots.</p>
			<?php }?>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>