<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Advert Statistics - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/advertisers.css" type="text/css" media="screen,projection" />
	<script src="<?php echo APP_BASE_URL;?>js/jquery.js" type="text/javascript"></script>
	<script src="<?php echo APP_BASE_URL;?>js/jquery.flot.js" type="text/javascript"></script>
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('advertiser_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('advertiser_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots');?>">Buy More</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_change_details');?>">Change Details</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_contact');?>">Contact Us</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_change', array($advert['id']));?>">Change Advert</a></li>
		</ul>
	</div>
	
	<div id="contentnorightbar">
		<h2>Advert Statistics</h2>
			<h3>Headline: <?php echo $advert['title'];?></h3>
			<br/>
			<h3>Impressions to Date: <?php echo $advert['impressions'];?></h3>
			<h3>Clicks to Date: <?php echo $advert['clicks'];?></h3>
			<br/>
			<h3>Chart of Clicks and Impressions for the last 30 days</h3>
			<br/>
			<div id="placeholder" style="width:1000px;height:300px;"></div>
<script type="text/javascript">
$(function () {
	var d1 = [];
	var d2 = [];
	<?php
	if($stats){
		foreach($stats as $stat){
			echo 'd1.push([' . $stat['timestamp'] . ', ' . $stat['impressions'] . ']);
			';
			echo 'd2.push([' . $stat['timestamp'] . ', ' . $stat['clicks'] . ']);
			';
		}
	}
	?>
    
    var options = {
        xaxis: { mode: "time", tickLength: 5 }
    };
    
    $.plot($("#placeholder"), [
        { label: "Impressions",  data: d1},
        { label: "Clicks",  data: d2}
    ], options);
});
</script>
			
			<br/>
			<h3>Clicks and Impressions for the last 30 days</h3>
			<table cellspacing="0" cellpadding="5px;" class="main">
			<tr class="table-top">
				<td class="for_main">Date</td>
				<td class="for_main">Impressions</td>
				<td class="for_main">Clicks</td>
			</tr>
			<?php if($stats){?>
			<?php $counter = count($stats) - 1;?>
			<?php while($counter >= 0){?>
			<tr>
				<td class="for_main"><?php echo $stats[$counter]['long_date'];?></td>
				<td class="for_main"><?php echo $stats[$counter]['impressions'];?></td>
				<td class="for_main"><?php echo $stats[$counter]['clicks'];?></td>
			</tr>
			<?php $counter--;?>
			<?php }?>
			<?php }?>
			</table>
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>