<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Create User - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/admin.css" type="text/css" media="screen,projection" />
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('admin_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('admin_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_banners');?>">Banners</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_textlinks');?>">Text Links</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_pending');?>">Pending</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_users');?>">Users</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('userguide');?>">Help</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('admin_create_user');?>">Create User</a></li>
			<li><a href="<?php echo $this->libs->create_url('admin_list_users');?>">Edit Users</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2>Create User</h2>
			<p>Fill in this form to create a user.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('admin_create_user');?>" method="POST">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td valign="top"><b>Name:</b></td>
							<td><input class="input" type="text" name="name" id="name" value="<?php echo ((isset($_POST['name'])) ? $_POST['name'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Company:</b></td>
							<td><input class="input" type="text" name="company" id="company" value="<?php echo ((isset($_POST['company'])) ? $_POST['company'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Email:</b></td>
							<td><input class="input" type="text" name="email" id="email" value="<?php echo ((isset($_POST['email'])) ? $_POST['email'] : '');?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Password:</b></td>
							<td><input class="input" type="password" name="password" id="password" /></td>
						</tr>
						<tr>
							<td valign="top"><b>Confirm Password:</b></td>
							<td><input class="input" type="password" name="cpassword" id="cpassword" ></td>
						</tr>
						<tr>
							<td valign="top"><b>Role:</b></td>
							<td><select class="input" name="role">
									<option value="">Select</option>
									<option <?php echo (($_POST['role'] =='admin') ? 'selected="selected"' : '');?> value="admin">Administrator</option>
									<option <?php echo (($_POST['role'] =='advertiser') ? 'selected="selected"' : '');?> value="advertiser">Advertiser</option>
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top"><b>Send password to user:</b></td>
							<td><input type="checkbox" name="send_email" value="1"></td>
						</tr>
					</tbody>
				</table>
				<p><input name="create" id="submit" class="crtbtn_gr" value="Create User..." type="submit"></p>
			</form>	
			<br/>	
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>