<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Change Advert - Simple Advert[v3.0]</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo APP_BASE_URL;?>css/advertisers.css" type="text/css" media="screen,projection" />
</head>
<body>
<div id="wrapper">
<div id="innerwrapper">
	
	<div id="header">
		<h1><a href="<?php echo $this->libs->create_url('advertiser_home');?>" title="Go to Homepage">Simple Advert</a></h1>
		<ul id="nav">
			<li><a href="<?php echo $this->libs->create_url('advertiser_home');?>">Home</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_buy_list_slots');?>">Buy More</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_change_details');?>">Change Details</a></li>
			<li><a href="<?php echo $this->libs->create_url('changepassword');?>">Change Password</a></li>
			<li><a href="<?php echo $this->libs->create_url('logout');?>">Sign Out</a></li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_contact');?>">Contact Us</a></li>
		</ul>
		<ul id="subnav">
			<li>Subnav:</li>
			<li><a href="<?php echo $this->libs->create_url('advertiser_stats', array($banner['id']));?>">View Statistics</a></li>
		</ul>
	</div>
	<div id="contentnorightbar">
		<h2>Change Advert</h2>
			<p>Edit the banner advert using this form.. Please note that the changes will not be reflected untill approved.</p>
			
			<?php if($error){?>
			<p class="error_box"><strong>Error:</strong> <?php echo $error;?></p>
			<?php }?>
			<?php if($success){?>
			<p class="valid_box"><strong>Success:</strong> <?php echo $success;?></p>
			<?php }?>
			<form action="<?php echo $this->libs->create_url('advertiser_change', array($banner['id']));?>" method="POST" enctype="multipart/form-data" >
				<input type="hidden" name="advert_nature" value="text_banner">
				<table border="0" cellpadding="0" cellspacing="0"  id="id-form">
					<tbody>
						<tr>
							<td valign="top"><b>Headline:</b></td>
							<td><input class="input" maxlength="<?php echo APP_LENGHT_OF_HEADLINE;?>" type="text" name="title" id="title" value="<?php echo ((isset($_POST['title'])) ? $_POST['title'] : $banner['title']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Description Line 1:</b></td>
							<td><input class="input" maxlength="<?php echo APP_LENGHT_OF_DESCRIPTION_LINE;?>" type="text" name="details1" id="details1" value="<?php echo ((isset($_POST['details1'])) ? $_POST['details1'] : $banner['details1']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Description Line 2:</b></td>
							<td><input class="input" maxlength="<?php echo APP_LENGHT_OF_DESCRIPTION_LINE;?>" type="text" name="details2" id="details2" value="<?php echo ((isset($_POST['details2'])) ? $_POST['details2'] : $banner['details2']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Destination URL:</b></td>
							<td><input class="input" type="text" name="destination_url" id="destination_url" value="<?php echo ((isset($_POST['destination_url'])) ? $_POST['destination_url'] : $banner['destination_url']);?>"></td>
						</tr>
						<tr>
							<td valign="top"><b>Display URL:</b></td>
							<td><input class="input" type="text" name="display_url" id="display_url" value="<?php echo ((isset($_POST['display_url'])) ? $_POST['display_url'] : $banner['display_url']);?>"></td>
						</tr>
					</tbody>
				</table>
				<p><input name="edit" id="submit" class="crtbtn_gr" value="Edit Advert" type="submit"></p>
			</form>	
			<br/>	
			
		</div>
		<div id="footer">
			<p>&copy; Simple Advert, 2011</p><br /><br />
		</div>	
</div>
</div>
</body>
</html>